/* REXX */                                                              
/* TESTSNDM    ------------------------------------------------------ */
/* This REXX is a sample for test program SENDMAP                     */
/* ------------------------------------------------------------------ */
/*TRACE R  *   */                                                       
ADDRESS TSO                                                             
                                                                        
/* ---- Initialize variables -- */                                      
USERNAME = USERID()                                                     
SURNAME  = '.....................'                                      
BORN     = DATE('E')                                                    
MALEFEM  = '.'                                                          
ADDRESS  = '............................................'               
TEL      = '01234567890'                                                
SHORTDESC = COPIES('.',200)                                             
                                                                        
/* ---- Define the map for SENDMAP program  ---- */                     
                                                                        
MAPINI.1 ='C,1,23,X,H,--  S  E  N  D  M  A  P  --'                      
MAPINI.2='C,3,6,X,X,Sample for a test of the program SENDMAP in a RE',  
       !! 'XX clist.'                                                   
MAPINI.3='C,4,2,X,X,-------------------------------------------------', 
       !!'-------------------'                                          
MAPINI.4="C,6,2,X,X,Fill in these fields:"                              
MAPINI.5 ='C,8,2,X,X,Your name:'                                        
MAPINI.6 ='I,8,30,12,X,USERNAME'                                        
MAPINI.7 ='C,10,2,X,X,Your surname:'                                    
MAPINI.8 ='I,10,30,12,X,SURNAME'                                        
MAPINI.9 ='C,12,2,X,X,Male / Female (M/F):'                             
MAPINI.10='I,12,30,1,X,MALEFEM'                                         
MAPINI.11='C,12,40,X,X,Born:'                                           
MAPINI.12='I,12,50,8,X,BORN'                                            
MAPINI.13='C,14,2,X,X,Address:'                                         
MAPINI.14='I,14,30,30,X,ADDRESS'                                        
MAPINI.15='C,16,2,X,X,Telephone:'                                       
MAPINI.16='I,16,30,12,X,TEL'                                            
MAPINI.17='C,18,2,X,X,Short description:'                               
MAPINI.18='C,19,2,X,X,===>'                                             
MAPINI.19='I,19,8,200,X,SHORTDESC'                                      
MAPINI.20="C,22,2,X,X,Press ENTER to send the map and see REXX ",       
       !! "variables filled by SENDMAP "                                
                                                                        
"SENDMAP MAPINI 20 BEEP"    /* UPPER"  */                               
                                                                        
SAY ' -------  VARIABLES FILLED BY SENDMAP : -------- '                 
SAY                                                                     
SAY 'USERNAME =' USERNAME                                               
SAY 'SURNAME  =' SURNAME                                                
SAY 'BORN     =' BORN                                                   
SAY 'MALEFEM  =' MALEFEM                                                
SAY 'ADDRESS  =' ADDRESS                                                
SAY 'TEL      =' TEL                                                    
SAY                                                                     
SAY 'SHORTDESC =' SHORTDESC                                             
SAY                                                                     
                                                                        
